Skip to main content
POST
/
products
Create Product
curl --request POST \
  --url https://api.atlas.co/functions/v1/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "statement_descriptor": "<string>",
  "unit_label": "<string>",
  "images": [
    "<string>"
  ],
  "is_active": true,
  "metadata": {}
}
'
{
  "id": "<string>",
  "object": "product",
  "name": "<string>",
  "description": "<string>",
  "statement_descriptor": "<string>",
  "unit_label": "<string>",
  "images": [
    "<string>"
  ],
  "active": true,
  "default_price": "<string>",
  "prices": [
    {
      "id": "<string>",
      "object": "price",
      "product": "<string>",
      "active": true,
      "currency": "<string>",
      "unit_amount": 123,
      "type": "one_time",
      "billing_scheme": "per_unit",
      "recurring": {
        "interval": "<string>",
        "interval_count": 123,
        "usage_type": "<string>",
        "aggregate_usage": "<string>"
      },
      "tiers": [
        {}
      ],
      "tiers_mode": "<string>",
      "nickname": "<string>",
      "metadata": {},
      "created": 123
    }
  ],
  "metadata": {},
  "created": 123,
  "updated": 123
}

Authorizations

Authorization
string
header
required

API key (sk_test_* or sk_live_*)

Body

application/json
name
string
required
description
string
statement_descriptor
string
unit_label
string
images
string[]
is_active
boolean
default:true
metadata
object

Response

Product created

id
string
object
enum<string>
Available options:
product
name
string
description
string
statement_descriptor
string
unit_label
string
images
string[]
active
boolean
default_price
string
prices
object[]
metadata
object
created
integer
updated
integer